package com.mosty.qwzx.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.dto.qwzx.AppSearchQuery;
import com.mosty.base.model.dto.qwzx.TbQwQwbcEditDto;
import com.mosty.base.model.entity.qwzx.TbQwQwbc;
import com.mosty.base.model.query.qwzx.TbQwQwbcQuery;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * <p>
 * 勤务班次表 服务类
 * </p>
 *
 * @author zengbo
 * @since 2022-06-27
 */
public interface TbQwQwbcService {

    @ApiOperation("新增勤务班次")
    int addQwbc(TbQwQwbc qwbc);

    @ApiOperation("查询勤务班次")
    IPage<TbQwQwbc> getQwbc(TbQwQwbcQuery qwbc, IPage<TbQwQwbc> page);

    @ApiOperation("编辑勤务班次")
    int editQwbc(TbQwQwbcEditDto qwbc);

    @ApiOperation("删除勤务班次")
    boolean deleteBatch(List<String> ids);

    @ApiOperation("id删除")
    boolean deleteById(String id);

    @ApiOperation("根据ID查询")
    TbQwQwbc selectById(String id);

    @ApiOperation("app查询班次信息")
    Page<TbQwQwbc> getBcList(AppSearchQuery dto);
}
